Bug 206192 - DHCP in rescue mode doesn't work
DHCP in rescue mode doesn't work
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-09-12 16:37 EDT by Josef Bacik
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-28 16:10:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josef Bacik 2006-09-12 16:37:49 EDT
Description of problem:
When using rescue mode and you tell it you want to start networking and you
select dhcp it will just hang saying its activating the device, it never
continues.  If you do everything manually it works, and if you go to the shell
while its sitting there waiting to activate it seems to get an ipv6 address, but
not an ipv4 address, and grepping for dhcp doesn't come up with anything.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.boot into rescue mode
2.try to activate networking
3.select dhcp for your interface
Actual results:
anaconda will just sit there saying "activating device"

Expected results:
It should activate the device.

Additional info:
Comment 1 Jeff Needle 2006-09-20 11:51:49 EDT
We don't have a RHEL5 beta2 yet.  Setting version to rhel5-beta1.
Comment 3 David Cantrell 2006-09-20 16:52:52 EDT
Fix in rawhide now, so it should make its way in to RHEL5 beta2.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.